Skip to main content
POST

Authorizations

Authorization
string
header
required

Use Bearer Token authentication. Format: Authorization: Bearer sk-xxxxxx

Body

application/json
model
enum<string>
required

Always pass suno_music.

Available options:
suno_music
Example:

"suno_music"

prompt
string
required

A descriptive prompt for music or sound.

upstream_model
string

Submodel name, such as suno-v6 or suno-v5.5; defaults to suno-v5.5.

Example:

"suno-v6"

extraParams
object

MiniMax Speech 2.8 HD 的 voice、outputFormat、sampleRate、speed、volume、pitch 参数。

make_instrumental
boolean
default:false

Whether to generate instrumental accompaniment only.

light_music
boolean

Whether to generate in a light music/background music style.

pure_music
boolean

Whether to generate in instrumental music mode.

custom_mode
boolean

Whether to use custom mode.

title
string

Song title.

tags
string

Style tags, such as electro pop, female vocal.

lyrics
string

Lyrics content.

Response

200 - application/json

OK

code
string

On success, success.

Example:

"success"

message
string

Error or warning message.

data
object

Task ID, used for subsequent queries.